import EmptySpace from '@/components/EmptySpace';
import { DoubleLeftOutlined, DoubleRightOutlined } from '@ant-design/icons';
import { Flex } from 'antd';
import gsap from 'gsap';
import React, { useRef, useState } from 'react';
import styles from './index.less';

/** @name 道路列表 */
const RoadList: React.FC = () => {
  /** 展开状态值 */
  const [expandStatus, setExpandStatus] = useState(true);
  /** 道路列表元素 */
  const listRef = useRef<HTMLDivElement>(null);
  const expandSlider = () => {
    if (expandStatus === true) {
      setExpandStatus(false);
      gsap.to(listRef.current, {
        x: -352,
      });
    } else {
      setExpandStatus(true);
      gsap.to(listRef.current, {
        x: 0,
      });
    }
  };
  return (
    <div className={styles.listContainer} ref={listRef}>
      <div className={styles.blurBg} />
      <div className={styles.actionBtn} onClick={expandSlider}>
        {expandStatus ? (
          <div
            style={{
              textOrientation: 'upright',
              writingMode: 'vertical-rl',
            }}
          >
            收起
            <DoubleLeftOutlined></DoubleLeftOutlined>
          </div>
        ) : (
          <div
            style={{
              textOrientation: 'upright',
              writingMode: 'vertical-rl',
            }}
          >
            展开
            <DoubleRightOutlined></DoubleRightOutlined>
          </div>
        )}
      </div>
      <div className={styles.content}>
        <div className={styles.title}>道路列表</div>
        <Flex className={styles.tableHeader} align="center">
          <div style={{ width: '60%' }} className={styles.headerText}>
            道路名称
          </div>
          <div style={{ width: '40%' }} className={styles.headerText}>
            功能照明数量
          </div>
        </Flex>
        <div className={styles.tableBody}>
          <EmptySpace></EmptySpace>
        </div>
      </div>
    </div>
  );
};

export default RoadList;
